curl --request POST \
--url https://api.firstpromoter.com/api/v2/company/promoters \
--header 'Account-ID: <account-id>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"cust_id": "<string>",
"profile": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"website": "<string>",
"company_name": "<string>",
"company_number": "<string>",
"phone_number": "<string>",
"vat_id": "<string>",
"country": "US",
"address": "<string>",
"avatar": "<string>",
"w8_form_url": "<string>",
"w9_form_url": "<string>",
"description": "<string>",
"invoice_details_validation_errors": {},
"should_validate_invoice_details": true,
"instagram_url": "<string>",
"youtube_url": "<string>",
"linkedin_url": "<string>",
"facebook_url": "<string>",
"twitter_url": "<string>",
"twitch_url": "<string>",
"tiktok_url": "<string>"
},
"initial_campaign_id": 123,
"drip_emails": true,
"always_approve": true
}
'import requests
url = "https://api.firstpromoter.com/api/v2/company/promoters"
payload = {
"email": "jsmith@example.com",
"cust_id": "<string>",
"profile": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"website": "<string>",
"company_name": "<string>",
"company_number": "<string>",
"phone_number": "<string>",
"vat_id": "<string>",
"country": "US",
"address": "<string>",
"avatar": "<string>",
"w8_form_url": "<string>",
"w9_form_url": "<string>",
"description": "<string>",
"invoice_details_validation_errors": {},
"should_validate_invoice_details": True,
"instagram_url": "<string>",
"youtube_url": "<string>",
"linkedin_url": "<string>",
"facebook_url": "<string>",
"twitter_url": "<string>",
"twitch_url": "<string>",
"tiktok_url": "<string>"
},
"initial_campaign_id": 123,
"drip_emails": True,
"always_approve": True
}
headers = {
"Account-ID": "<account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Account-ID': '<account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: 'jsmith@example.com',
cust_id: '<string>',
profile: {
id: 123,
first_name: '<string>',
last_name: '<string>',
website: '<string>',
company_name: '<string>',
company_number: '<string>',
phone_number: '<string>',
vat_id: '<string>',
country: 'US',
address: '<string>',
avatar: '<string>',
w8_form_url: '<string>',
w9_form_url: '<string>',
description: '<string>',
invoice_details_validation_errors: {},
should_validate_invoice_details: true,
instagram_url: '<string>',
youtube_url: '<string>',
linkedin_url: '<string>',
facebook_url: '<string>',
twitter_url: '<string>',
twitch_url: '<string>',
tiktok_url: '<string>'
},
initial_campaign_id: 123,
drip_emails: true,
always_approve: true
})
};
fetch('https://api.firstpromoter.com/api/v2/company/promoters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"email": "<string>",
"name": "<string>",
"cust_id": "<string>",
"note": "<string>",
"stats": {
"clicks_count": 123,
"referrals_count": 123,
"sales_count": 123,
"customers_count": 123,
"revenue_amount": 123,
"active_customers_count": 123
},
"is_customized": true,
"fraud_suspicions": [
"<string>"
],
"is_confirmed": true,
"invoice_details_status": "pending",
"profile": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"website": "<string>",
"company_name": "<string>",
"company_number": "<string>",
"phone_number": "<string>",
"vat_id": "<string>",
"country": "US",
"address": "<string>",
"avatar": "<string>",
"w8_form_url": "<string>",
"w9_form_url": "<string>",
"description": "<string>",
"invoice_details_validation_errors": {},
"should_validate_invoice_details": true,
"instagram_url": "<string>",
"youtube_url": "<string>",
"linkedin_url": "<string>",
"facebook_url": "<string>",
"twitter_url": "<string>",
"twitch_url": "<string>",
"tiktok_url": "<string>"
},
"joined_at": "2023-11-07T05:31:56Z",
"last_login_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"custom_fields": {},
"password_setup_url": "<string>",
"first_event_at": "2023-11-07T05:31:56Z",
"promoter_campaigns": [
{
"id": 123,
"campaign_id": 123,
"promoter_id": 123,
"state": "pending",
"created_at": "2023-11-07T05:31:56Z",
"campaign": {
"id": 123,
"name": "<string>",
"color": "<string>"
},
"coupon": "<string>",
"ref_token": "<string>",
"ref_link": "<string>"
}
],
"balances": {
"cash": 123,
"credits": 123,
"points": 123,
"free_months": 123,
"discount": 123
},
"track_ad_traffic": true,
"auth_provider": "<string>",
"selected_payout_method": {
"id": 123,
"method": "<string>",
"date_added": "2023-11-07T05:31:56Z",
"is_disabled": true
},
"parent_promoter": {
"id": 123,
"email": "<string>",
"name": "<string>"
}
}{
"message": "Validation failed: Email has already been taken",
"errors": {
"email": [
"has already been taken"
]
},
"code": "invalid_record"
}{}{
"message": "You don't have enough rights to perform this action",
"code": "forbidden"
}{
"message": "Record not found",
"code": "not_found"
}{
"message": "param is missing or the value is empty or invalid: email",
"code": "invalid_params"
}Create promoter
With this endpoint you can create a promoter.
POST https://api.firstpromoter.com/api/v2/company/promotersAuthorizations
API key passed as a Bearer token in the Authorization header. You can find your API Key on Your FirstPromoter Dashboard. Navigate to Settings → Integrations section → Manage API Keys
Headers
Account id. You can find your Account ID on Your FirstPromoter Dashboard. Navigate to Settings → Integrations
Body
Email address of the promoter
Cust ID of the promoter
Show child attributes
Show child attributes
The ID of the campaign promoter will be added first. Defaults to the company's default campaign if omitted.
Send a welcome email to the promoter
Whether the promoter should be automatically accepted into the campaign upon creation. Set to false to create the promoter in a pending state instead, requiring manual acceptance or rejection.
Response
Promoter created successfully
Id of the promoter
Email address of the promoter
Full name of the promoter
Cust ID of the promoter
Optional note about the promoter
Performance statistics for the promoter
Show child attributes
Show child attributes
Whether the promoter has customized settings
List of potential fraud flags
Whether the promoter has confirmed their account
Status of the promoter's invoice details
pending, approved, denied Show child attributes
Show child attributes
Date and time when the promoter joined.
Date and time of the promoter's last login.
Date and time when the promoter was archived, if applicable.
Custom fields for the promoter, based on company settings. This is a key-value pair object where keys are custom field identifiers and values are the corresponding data.
URL for the promoter to set up their password
Date and time of the promoter's first activity.
List of campaigns associated with the promoter
Show child attributes
Show child attributes
Earnings balance breakdown for the promoter
Show child attributes
Show child attributes
Whether ad traffic tracking is enabled for this promoter. Null means the campaign default is used.
OAuth provider used to authenticate (e.g. google). Null if using email/password.
The promoter's currently selected payout method. Omitted when the exclude_payout_method=true query parameter is set.
Show child attributes
Show child attributes
The parent promoter (for sub-affiliate relationships). Only included when the include_parent_promoter=true query parameter is set.
Show child attributes
Show child attributes